Package com.saxonica.ee.validate

## Enum ContentValidator.Nillability

- java.lang.Object
- - java.lang.Enum<ContentValidator.Nillability>
  - - com.saxonica.ee.validate.ContentValidator.Nillability

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContentValidator.Nillability>`
  Enclosing class:
    ContentValidator

      public static enum ContentValidator.Nillability
      extends java.lang.Enum<ContentValidator.Nillability>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALLOWED` | Constant indicating that xsi:nil is allowed and active.
    `DISALLOWED` | Constant indicating that xsi:nil is disallowed.
    `IGNORED` | Constant indicating that xsi:nil is allowed but ignored; this is true when we are validating against a type, rather than against an element declaration

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContentValidator.Nillability` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContentValidator.Nillability[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IGNORED

          public static final ContentValidator.Nillability IGNORED

      Constant indicating that xsi:nil is allowed but ignored; this is true when we are validating against a type, rather than against an element declaration

    - #### ALLOWED

          public static final ContentValidator.Nillability ALLOWED

      Constant indicating that xsi:nil is allowed and active. That is, we are validating against an element declaration that specifies nillable=true

    - #### DISALLOWED

          public static final ContentValidator.Nillability DISALLOWED

      Constant indicating that xsi:nil is disallowed. That is, we are validating against an element declaration that specifies nillable=false

  - ### Method Detail

    - #### values

          public static ContentValidator.Nillability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContentValidator.Nillability c : ContentValidator.Nillability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContentValidator.Nillability valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null